// pages/components/deep-select/index.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    columns:{
      type:Array
    },
    placeholder:{
      type:String
    },
    selectValue:{
      type:String
    },
    selectIndex:{
      type:String
    },
  },
  /**数据监听 */
  observers: {
    columns: function (val) {
      this.setData({
        item:val[0],
        value:val.length == 0?"":val[0].text
      })
    },
    selectValue:function(val){
      this.setData({
        value:val
      })
    },
    selectIndex:function(val){
      this.setData({
        index:val
      })
    }
},
  /**
   * 组件的初始数据
   */
  data: {
    show: false,
    value:'',
    item:'',
    index:''
  },

  /**
   * 组件的方法列表
   */
  methods: {
    showPopup() {
      this.setData({ show: true });
    },
    onClose() {
      this.setData({ show: false });
    },
    onSelectChange(e){
      console.log(e)
      this.setData({
        item:e.detail.value
      })
    },
    onConfirm(e){
      this.setData({
        value:this.data.item.text
      })
      this.triggerEvent('change',this.data.item)
      this.setData({ show: false });
    }
  }
})
